package com.ruoyi.base.commonproblem.exception;

import com.ruoyi.common.enums.IIntegerEnum;

import java.util.Objects;


/**
 * 异常枚举
 */
public enum CommonProblemExceptionEnum implements IIntegerEnum {

    // TODO 注意检查错误码，保证系统内唯一
    COMMON_PROBLEM_IS_NOT_EXISTS(200001, "常见问题不存在"),
    COMMON_PROBLEM_NAME_REPEAT(200002, "常见问题标题已存在"),


    ;

    private Integer code;

    private String msg;

    CommonProblemExceptionEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    @Override
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public static CommonProblemExceptionEnum getByCode(int code) {
        for (CommonProblemExceptionEnum value : CommonProblemExceptionEnum.values()) {
            if (Objects.equals(code, value.getCode())) {
                return value;
            }
        }
        return null;
    }

}
